# 
# This package is built for both EL4 and EL5.  If not building with
# Mock, you will need to add a '--with el4' or '--with el5' tag.
# 

# Setting initial dist defaults.  Do not modify these.
# Note: Mock sets these up... but we need to default for manual builds.
%{!?el4:%define el4 0}
%{!?el5:%define el5 0}
%{!?el6:%define el6 0}
%{!?rhel:%define rhel 'empty'}

# Build Options
#
# In order to properly build you will likely need to add one of the following
# build options:
#
#       --with el4
#       --with el5
#       --with el6
#
#
# Note for maintainers/builders: mock handles all these defs.  We include them 
# here for manual builds.
#
%{?_with_el4:%define el4 1}
%{?_with_el4:%define rhel 4}
%{?_with_el4:%define dist .el4}

%{?_with_el5:%define el5 1}
%{?_with_el5:%define rhel 5}
%{?_with_el5:%define dist .el5}

%{?_with_el6:%define el6 1}
%{?_with_el6:%define rhel 6}
%{?_with_el6:%define dist .el6}


Name:           epel-release       
Version:        1 
Release:        1.ius%{?dist}

Summary:        Extra Packages for Enterprise Linux repository configuration

Group:          System Environment/Base 
License:        GPL 
URL:            http://download.fedoraproject.org/pub/epel

# This is a Red Hat maintained package which is specific to
# our distribution.  Thus the source is only available from
# within this srpm.

Source0:        http://download.fedoraproject.org/pub/epel/RPM-GPG-KEY-EPEL
Source1:        GPL	
Source2:        epel.repo.el4	
Source3:        epel-testing.repo.el4
Source4:        epel.repo.el5
Source5:        epel-testing.repo.el5	

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Provides:       epel

%if %{el4}
Requires:       redhat-release >= 4
%endif
%if %{el5}
Requires:       redhat-release >= 5
%endif

%description
This package contains the Extra Packages for Enterprise Linux (EPEL) repository
GPG key as well as configuration for yum%{?el4: and up2date}.

%prep
%setup -q  -c -T
install -pm 644 %{SOURCE0} .
install -pm 644 %{SOURCE1} .

%build


%install
rm -rf $RPM_BUILD_ROOT

#GPG Key
install -Dpm 644 %{SOURCE0} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-EPEL

# yum
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

%if %{el4}
install -pm 644 %{SOURCE2} \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/epel.repo
install -pm 644 %{SOURCE3} \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/epel-testing.repo
%endif
%if %{el5}
install -pm 644 %{SOURCE4} \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/epel.repo
install -pm 644 %{SOURCE5} \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/epel-testing.repo
%endif

%if %{el4}
%post
if [ $1 = 1 ]; then
    RHN_SOURCES=/etc/sysconfig/rhn/sources
    if [ -e ${RHN_SOURCES} ]; then
        if ! grep -q "^#DONT UPDATE %{name}" ${RHN_SOURCES} > /dev/null 2>&1; then
        # remove existing config
        perl -n -i -e 'print if not /^#BEGIN %{name}/ ... /^#END %{name}/' ${RHN_SOURCES}

        # add updated config unless user specifies not to
        echo "#BEGIN %{name}" >> ${RHN_SOURCES}
        echo "# This block is managed by the %{name} RPM." >> ${RHN_SOURCES}
        echo "" >> ${RHN_SOURCES}
        echo "yum EPEL http://mirror.rackspace.com/epel/4/\$ARCH" >> ${RHN_SOURCES}
        echo "" >> ${RHN_SOURCES}
        echo "#END %{name}" >> ${RHN_SOURCES}
        fi
    fi
fi
exit 0


%postun 
RHN_SOURCES=/etc/sysconfig/rhn/sources
if [ $1 = 0 ]; then 
 # remove up2date config here
  if [ -e $RHN_SOURCES ]; then
    perl -n -i -e 'print if not /^#BEGIN %{name}/ ... /^#END %{name}/' ${RHN_SOURCES}
  fi
fi
exit 0
%endif


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc GPL
%config(noreplace) /etc/yum.repos.d/*
/etc/pki/rpm-gpg/*


%changelog
* Thu Aug 06 2009 BJ Dierkes <wdierkes@rackspace.com> - 0:1-1.ius
- Rebuilding for IUS.
- Removing Epoch (we want EPEL to replace our package)

* Tue Jul 21 2009 BJ Dierkes <wdierkes@rackspace.com> - 10:1-1.rs
- Rebuild for Rackspace... el4/5 in same spec.
- Epoch 10: to keep Rackspace version installed.

* Fri Apr 25 2008 Matt Domsch <Matt_Domsch@dell.com> - 5-3
- use mirrorlists in epel-testing.repo
- use download.fedoraproject.org in (commented out) baseurls

* Mon Apr 02 2007 Michael Stahnke <mastahnke@gmail.com> - 5-2
- Missed a syntax correction in epel-testing.repo

* Mon Apr 02 2007 Michael Stahnke <mastahnke@gmail.com> - 5-1
- Hard coded version '5' in epel yum repo files. 

* Mon Apr 02 2007 Michael Stahnke <mastahnke@gmail.com> - 5-0
- Initial Package for RHEL 5
